<?php
 // -- Déclaration de deux constantes en dehors d'une classe --
 define('VALEUR_MIN', '0.0');  
 define('VALEUR_MAX', '1.0'); 
 // -- Classe Paramètres --
 class Parametres
 {// -- Déclaration de deux constantes DANS une classe --
  const PARAM_VALEUR_MIN = 0.0;      
  const PARAM_VALEUR_MAX = 1.0;      
  public static function RetourValMin()
  {return self::PARAM_VALEUR_MIN;
  }
  public static function RetourValMax()
  {return self::PARAM_VALEUR_MAX;
  }
 }
 // --- Affichage des constantes en dehors d'une classe ---
 echo "VALEUR_MIN : ".VALEUR_MIN."<br/>";
 echo "VALEUR_MAX : ".VALEUR_MAX."<br/>";
 // --- Affichage des constantes de la classe Parametres ---
 $Mes_Parametres = new Parametres();
 echo "PARAM_VALEUR_MIN:".$Mes_Parametres->RetourValMin() ;
 echo "<br/>";
 echo "PARAM_VALEUR_MAX : ".$Mes_Parametres->RetourValMax() ;
 echo "<br/>";
?>
